Skip to main content
GET
Get Payment Method

Authorizations

x-revolv3-token
string
header
required

Headers

Client-Request-Id
string

Optional identifier generated by the client to match its own logs with this request.

Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.

Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.

A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support. An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]{1,128}$

Path Parameters

paymentMethodId
integer<int64>
required
Required range: 1 <= x <= 1000000000

Response

OK

paymentMethodId
integer<int64>

The unique identifier for the payment method information.

Required range: 1 <= x <= 1000000000
billingAddressId
integer<int64>

The unique identifier of the address.

Required range: 1 <= x <= 1000000000
billingAddress
object
billingFirstName
string | null
Maximum string length: 100
billingLastName
string | null
Maximum string length: 100
merchantPaymentMethodRefId
string | null

Merchant's unique identifier for the payment method.

Maximum string length: 100
paymentMethodAchDetails
object | null

ACH account information.

paymentMethodCreditCardDetails
object | null

The details of credit card payment method.